Name: H5Sget_simple_extent_ndims
Signature:
  int `H5Sget_simple_extent_ndims`(hid_t `space_id`)
Purpose:
  Determines the dimensionality of a dataspace.
Description:
  `H5Sget_simple_extent_ndims` determines the dimensionality (or rank) of a dataspace.
Parameters:

hid_t `space_id` | Identifier of the dataspace

Returns:
  Returns the number of dimensions in the dataspace if successful; otherwise returns a negative value.
Fortran90 Interface: h5sget_simple_extent_ndims_f

      SUBROUTINE h5sget_simple_extent_ndims_f(space_id, rank, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id   ! Dataspace identifier
        INTEGER, INTENT(OUT) :: rank             ! Number of dimensions
        INTEGER, INTENT(OUT) :: hdferr           ! Error code
                                                 ! 0 on success and -1 on failure
      END SUBROUTINE h5sget_simple_extent_ndims_f